%define major     2
%define	libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%bcond_with pcre
%bcond_without png
%bcond_without onig

Summary:	The shared library for the S-Lang extension language
Name:		slang
Version:	2.3.2
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Libraries
URL:		https://jedsoft.org/slang/
Source0:	https://www.jedsoft.org/releases/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://www.jedsoft.org/releases/%{name}/%{name}-%{version}.tar.bz2.asc
Patch1:		slang-makefile.patch
Patch2:		slang-sighuptest.patch
Patch3:		slang-getkey-memmove.patch
Patch4:		slang-SLANG_LIB_FOR_MODULES.diff
BuildRequires:	glibc-devel
%if %{with png}
BuildRequires:	libpng-devel
%endif
BuildRequires:	libtool
%if %{with pcre}
BuildRequires:	pcre-devel
%endif
%if %{with onig}
BuildRequires:	onig-devel
%endif
BuildConflicts:	slang-devel

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package -n %{libname}
Summary:	The shared library for the S-Lang extension language
Group:		System/Libraries
Provides:	slang

%description -n	%{libname}
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package -n %{develname}
Summary:	The library and header files for development using S-Lang
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}slang-static-devel < 2.3.2

%description -n	%{develname}
This package contains the S-Lang extension language libraries and
header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%package doc
Summary:	Extra documentation for slang libraries
Group:		Documentation

%description doc
This package contains documentation about S-Lang.
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package slsh
Summary:	S-Lang script interpreter
Group:		Shells
Provides:	%{_bindir}/slsh

%description slsh
slsh is a program that embeds the S-Lang interpreter and may be used
to test slang scripts.

%prep
%setup -q
%autopatch -p1

# fix permissions of installed modules
sed -i '/^INSTALL_MODULE=/s/_DATA//' configure

# disable test failing on 32-bit archs
sed -i '/TEST_SCRIPTS_SLC = /s/array //' src/test/Makefile

%build
%configure \
	--includedir=%{_includedir}/slang \
	%{?with_onig:--with-oniginc=%{_includedir} --with-oniglib=%{_libdir}} \
	%{?with_png:--with-pnginc=%{_includedir} --with-pnglib=%{_libdir}} \
	%{?with_pcre:--with-pcreinc=%{_includedir} --with-pcrelib=%{_libdir}} \
	%{?without_pcre:--without-pcre} \
	--with-zlib=%{_libdir} --with-zinc=%{_includedir}
%make_build elf

%check
make check

%install
%make_install

# Remove unwanted files
%if %{without pcre}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/pcre-module.so
%endif

%if %{without png}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/png-module.so
%endif

%if %{without onig}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/onig-module.so
%endif

%files -n %{libname}
%{_libdir}/libslang.so.%{major}{,.*}
%dir %{_libdir}/slang
%{_libdir}/slang/v%{major}

%files -n %{develname}
%{_libdir}/libslang.so
%dir %{_includedir}/slang/
%{_includedir}/slang/*.h
%{_libdir}/pkgconfig/slang.pc

%files doc
%{_defaultdocdir}/slang

%files slsh
%doc %{_docdir}/slsh
%{_bindir}/slsh
%{_datadir}/slsh
%{_mandir}/man1/slsh.1*
%config %{_sysconfdir}/slsh.rc


%changelog
* Fri Apr 14 2023 daviddavid <daviddavid> 2.3.2-4.mga9
+ Revision: 1952993
- disable old pcre support in Mageia 9 (mga#31791)

* Sat Mar 19 2022 umeabot <umeabot> 2.3.2-3.mga9
+ Revision: 1800003
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.3.2-2.mga8
+ Revision: 1520496
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 25 2018 wally <wally> 2.3.2-1.mga7
+ Revision: 1334382
- new version 2.3.2
- drop static devel pkg
- drop old obsoletes
- sync Fedora patches

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1301062
- Mageia 7 Mass Rebuild

* Sat Dec 26 2015 luigiwalser <luigiwalser> 2.3.0-1.mga6
+ Revision: 915268
- 2.3.0
- fix source URL
- rediff build fix patches (now patches 1 and 4)
- add two build fix patches from fedora (patches 2 and 3)
- disable incorrect linking error

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-14.mga5
+ Revision: 746827
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.2.4-13.mga5
+ Revision: 725234
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.4-12.mga5
+ Revision: 689190
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 2.2.4-11.mga5
+ Revision: 638034
- drop uclibc & dietlibc builds now that stage1 is linked against glibc

* Wed Jun 18 2014 tv <tv> 2.2.4-10.mga5
+ Revision: 638029
- fix detecting libpng & libpcre on 64bit (mga#13533, Oleg Bosis)

* Sat Oct 19 2013 umeabot <umeabot> 2.2.4-9.mga4
+ Revision: 526011
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.2.4-8.mga4
+ Revision: 435502
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 2.2.4-7.mga3
+ Revision: 382154
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.2.4-6.mga3
+ Revision: 323689
- rebuild for new pcre

* Sun Oct 14 2012 ennael <ennael> 2.2.4-5.mga3
+ Revision: 305467
- Documentation group

* Fri Jun 01 2012 tv <tv> 2.2.4-4.mga3
+ Revision: 252922
- add dietlibc & uclibc builds

* Sun Sep 11 2011 fwang <fwang> 2.2.4-3.mga2
+ Revision: 142328
- rebuild for new libpng
+ rtp <rtp>
- Fix build (drop obselete patch0, rediff patch2)
+ tv <tv>
- new release

* Tue Jan 11 2011 blino <blino> 2.2.2-4.mga1
+ Revision: 6192
- do not buildrequire X11-devel, not needed
- remove obsolete macros
- imported package slang


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-2mdv2011.0
+ Revision: 607541
- rebuild

* Thu Dec 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 484500
- update to new version 2.2.2
- drop patch 3, fixed upstream
- rediff patch 2

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.1-1mdv2010.0
+ Revision: 436042
- Update to new version 2.2.1

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.0-1mdv2010.0
+ Revision: 409523
- Update to new version 2.2.0

* Tue Dec 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.4-1mdv2009.1
+ Revision: 312369
- add switches abd buildrequires for oniguruma library, not enabled by default
- do not obsolete yourself
- spec file clean
- update to new version 2.1.4

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.3-3mdv2009.0
+ Revision: 230754
- added P4 to fix linkage
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 146921
- drop patch 1
- add two Fedora's patches
- add missing buildrequires on X11-devel
- new version 2.1.3
- use macros
- fix file list

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Adam Williamson <awilliamson@mandriva.org>
    - use Fedora license policy (GPLv2+)
    - new devel policy
    - spec clean
    - new release 2.1.1

* Tue May 29 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.1.0-1mdv2008.0
+ Revision: 32583
- Updated to version 2.1.0.
- Removed utf8 patches, support upstream.
- Removed uneeded/obsolete patch gcc4.
- Updated URL field.
- Redid no-glibc-private patch.
- Added slsh_install patch, to fix build (make install) when slang 1
  is installed on the system with its devel files.
- Added conditionals for building of pcre/png modules.
- libslang2-devel: soname change, conflict with old libslang1-devel.
- Added static-devel subpackage, following policy.
- This new slang provides slsh (S-Lang interpreter), provide it in a new
  subpackage (slang-slsh).


* Fri Nov 03 2006 Anssi Hannula <anssi@mandriva.org> 1.4.9-10mdv2007.0
+ Revision: 76225
- patch15: do not use glibc private symbol

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.9-9mdv2007.1
+ Revision: 75576
- bunzip patches
- fix deps
- spec file massage
- Import slang

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.9-8mdk
- Rebuild

* Thu Aug 25 2005 Warly <warly@mandriva.com> 1.4.9-7mdk
- add a patch to fix a segv and to build with gcc4

* Sun Aug 29 2004 Marcel Pol <mpol@mandrake.org> 1.4.9-6mdk
- patch5, fix off by one error

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 1.4.9-5mdk
- revert soname change

* Thu Jul 22 2004 Marcel Pol <mpol@mandrake.org> 1.4.9-4mdk
- utf8 patches from suse, new soname
- make compat symlinks for devel package

